
fn play_file(file: &str) {
    use rodio::{Decoder, OutputStream, source::Source};

    let (_stream, stream_handle) = OutputStream::try_default().unwrap();
    let file = std::io::BufReader::new(std::fs::File::open(file).unwrap());
    let source = Decoder::new(file).unwrap();
    stream_handle.play_raw(source.convert_samples()).unwrap();
    std::thread::sleep(std::time::Duration::from_secs(5));
}

fn main() {
    play_file("test.flac");
}
